Skip to main content
GET
/
api
/
v1
/
commits
/
public
cURL
curl --request GET \
  --url https://api.example.com/api/v1/commits/public \
  --header 'Authorization: Bearer <token>'
{
  "commits": [
    {
      "commit_id": "<string>",
      "created_at": "<string>",
      "is_public": true,
      "name": "<string>",
      "owner_id": "<string>",
      "description": "<string>",
      "grandparent_commit_id": "<string>",
      "parent_vm_id": "<string>"
    }
  ],
  "limit": 123,
  "offset": 123,
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

limit
integer<int64> | null
required

Maximum number of commits to return (default: 50, max: 100)

offset
integer<int64> | null
required

Number of commits to skip (default: 0)

Response

List of public commits

commits
object[]
required
limit
integer<int64>
required
offset
integer<int64>
required
total
integer<int64>
required